#
# spec file for package ghc-hsyslog
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name hsyslog
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        5.0.1
Release:        9.5
Summary:        FFI interface to syslog(3) from POSIX.1-2001
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-cabal-doctest-devel
BuildRequires:  ghc-rpm-macros
%if %{with tests}
BuildRequires:  ghc-doctest-devel
%endif

%description
A Haskell interface to 'syslog(3)' as specified in
<http://pubs.opengroup.org/onlinepubs/9699919799/functions/syslog.html
POSIX.1-2008>. The entire public API lives in "System.Posix.Syslog".
There is a set of exposed modules available underneath that one, which contain
various implementation details that may be useful to other developers who want
to implement syslog-related functionality. /Users/ of 'syslog', however, do not
need them.

An example program that demonstrates how to use this library is available in
the <https://github.com/peti/hsyslog/blob/master/example/Main.hs examples>
directory of this package.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Thu Jul 27 2017 psimons@suse.com
- Update to version 5.0.1.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 4 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 2.0 revision 0 with cabal2obs.
